image: quay.io/podman/stable

stages:
  - build
  - trigger

variables:
  IMAGE: ${CI_REGISTRY_IMAGE}
before_script:
  - curl --proto '=https' --tlsv1.3 -sSf https://just.systems/install.sh | bash -s -- --to /usr/local/bin
  - podman login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY

merge-build:
  stage: build
  only:
    - merge_requests
  except:
    refs:
      - main
  variables:
    TAG: ${CI_COMMIT_SHA}
  script:
    - just build
    - just push

main-build:
  stage: build
  only:
    refs:
      - main
  script:
    - just build "-t ${IMAGE}:${CI_COMMIT_SHA}"
    - just push
    - TAG=${CI_COMMIT_SHA} just push
